fst-infl(1)

NAME
fst-match - longest match analyser

SYNOPSIS
fst-match [ options ] file [ input-file [ output-file ] ]

OPTIONS

-q  Suppress status messages.

-h  Print usage information.

DESCRIPTION
fst-match is a longest match analyser. The first argument is the name of a compact transducer file which was generated by fst-compiler -c. The second argument is the name of the input file. The third argument is the output file. If the third argument is missing, output is directed to stdout. If the second argument is missing, as well, input is read from stdin.

fst-match reads the argument transducer and performs a longest-match analysis of the input string. Given the transducer <x>:<>ab+<x>:<>, it will analyse the string baabbca as ba<x>abb<x>ca.

BUGS
If the longest match can be mapped to several target strings, only one of them is printed.

SEE ALSO
fst-compiler, fst-mor, fst-infl, fst-parse

AUTHOR
Helmut Schmid, Institute for Computational Linguistics, University of Stuttgart, Email: schmid@ims.uni-stuttgart.de, This software is available under the GNU Public License.